Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml.processes
Class ParameterHandler.ParameterWrapper

    java.lang.Object
      org.jbpm.compiler.xml.processes.ParameterHandler.ParameterWrapper

All Implemented Interfaces:
  org.drools.process.core.TypeObject, ValueObject

Enclosing class:
  ParameterHandler

    public class ParameterHandler.ParameterWrapper

extends Object
implements org.drools.process.core.TypeObject, ValueObject

Constructor Summary
`ParameterHandler.ParameterWrapper(org.drools.process.core.ParameterDefinition parameterDefinition, org.drools.process.core.Work work)`

Method Summary
`org.drools.process.core.datatype.DataType` | `getType()`
`Object` | `getValue()`
`void` | `setType(org.drools.process.core.datatype.DataType type)`
`void` | `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterHandler.ParameterWrapper

    public ParameterHandler.ParameterWrapper(org.drools.process.core.ParameterDefinition parameterDefinition,
                                             org.drools.process.core.Work work)

Method Detail

### getType

    public org.drools.process.core.datatype.DataType getType()

  Specified by:
    `getType` in interface `org.drools.process.core.TypeObject`

### setType

    public void setType(org.drools.process.core.datatype.DataType type)

  Specified by:
    `setType` in interface `org.drools.process.core.TypeObject`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `ValueObject`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `ValueObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.